Sales Orders
List SalesOrder records
Retrieve a paginated list of SalesOrder records with filtering and ordering options.
GET
/
public
/
v2
/
sales-orders
List SalesOrder records
curl --request GET \
--url https://api.dualentry.com/public/v2/sales-orders/ \
--header 'X-API-KEY: <api-key>'{
"items": [
{
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"term_id": 123,
"term_name": "<string>",
"internal_id": 123,
"number": 123,
"items": [
{
"id": 123,
"item_id": 123,
"quantity": "<string>",
"rate": "<string>",
"position": 123,
"memo": "<string>",
"quantity_invoiced": "<string>",
"quantity_due": "<string>",
"net_amount": "<string>",
"tax_amount": "<string>",
"gross_amount": "<string>",
"amount": "<string>",
"classifications": [],
"item_type": "<string>",
"hsn_sac_code": "<string>",
"tax": {
"code": "<string>",
"rate": "<string>",
"amount": "<string>",
"is_taxable": true,
"tax_exempt_amount": "<string>",
"vat_rate_id": 123,
"gst_tax_rate_id": 123,
"tax_components": [
{
"rate": "<string>",
"amount": "<string>",
"position": 123,
"region": "<string>"
}
],
"amount_with_tax": "<string>",
"rate_name": "<string>",
"rate_type": "<string>",
"tax_treatment": "<string>"
}
}
],
"company_id": 123,
"company_name": "<string>",
"company_currency": "<string>",
"customer_id": 123,
"customer_name": "<string>",
"exchange_rate": "<string>",
"amount": "<string>",
"invoiced_total": "<string>",
"due_total": "<string>",
"memo": "<string>",
"date": "2023-12-25",
"bill_to_address": "<string>",
"ship_to_address": "<string>",
"reference_number": "<string>",
"custom_fields": [],
"attachments": [],
"created_by": {
"actor_type": "<string>",
"email": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
},
"updated_by": {
"actor_type": "<string>",
"email": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
},
"approval_status": "<string>",
"next_approvers": [
{
"id": 123,
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"full_name": "<string>",
"avatar_url": "<string>"
}
],
"rejected_by": {
"id": 123,
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"full_name": "<string>",
"rejection_reason": "<string>"
},
"billing_address": {
"street": "<string>",
"city": "<string>",
"postal_code": "<string>",
"state": "",
"country": "",
"second_line": "",
"name": "<string>"
},
"shipping_address": {
"street": "<string>",
"city": "<string>",
"postal_code": "<string>",
"state": "",
"country": "",
"second_line": "",
"name": "<string>"
},
"recurring_record_number": 123
}
],
"count": 123
}Documentation Index
Fetch the complete documentation index at: https://docs.dualentry.com/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Query Parameters
Available options:
draft, posted, archived Available options:
invoiced, uninvoiced, partially_invoiced Number of records to return per page (capped at 100)
Required range:
x >= 1Number of records to skip before starting to return results
Required range:
x >= 0Last modified on May 28, 2026
⌘I
List SalesOrder records
curl --request GET \
--url https://api.dualentry.com/public/v2/sales-orders/ \
--header 'X-API-KEY: <api-key>'{
"items": [
{
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"term_id": 123,
"term_name": "<string>",
"internal_id": 123,
"number": 123,
"items": [
{
"id": 123,
"item_id": 123,
"quantity": "<string>",
"rate": "<string>",
"position": 123,
"memo": "<string>",
"quantity_invoiced": "<string>",
"quantity_due": "<string>",
"net_amount": "<string>",
"tax_amount": "<string>",
"gross_amount": "<string>",
"amount": "<string>",
"classifications": [],
"item_type": "<string>",
"hsn_sac_code": "<string>",
"tax": {
"code": "<string>",
"rate": "<string>",
"amount": "<string>",
"is_taxable": true,
"tax_exempt_amount": "<string>",
"vat_rate_id": 123,
"gst_tax_rate_id": 123,
"tax_components": [
{
"rate": "<string>",
"amount": "<string>",
"position": 123,
"region": "<string>"
}
],
"amount_with_tax": "<string>",
"rate_name": "<string>",
"rate_type": "<string>",
"tax_treatment": "<string>"
}
}
],
"company_id": 123,
"company_name": "<string>",
"company_currency": "<string>",
"customer_id": 123,
"customer_name": "<string>",
"exchange_rate": "<string>",
"amount": "<string>",
"invoiced_total": "<string>",
"due_total": "<string>",
"memo": "<string>",
"date": "2023-12-25",
"bill_to_address": "<string>",
"ship_to_address": "<string>",
"reference_number": "<string>",
"custom_fields": [],
"attachments": [],
"created_by": {
"actor_type": "<string>",
"email": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
},
"updated_by": {
"actor_type": "<string>",
"email": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
},
"approval_status": "<string>",
"next_approvers": [
{
"id": 123,
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"full_name": "<string>",
"avatar_url": "<string>"
}
],
"rejected_by": {
"id": 123,
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"full_name": "<string>",
"rejection_reason": "<string>"
},
"billing_address": {
"street": "<string>",
"city": "<string>",
"postal_code": "<string>",
"state": "",
"country": "",
"second_line": "",
"name": "<string>"
},
"shipping_address": {
"street": "<string>",
"city": "<string>",
"postal_code": "<string>",
"state": "",
"country": "",
"second_line": "",
"name": "<string>"
},
"recurring_record_number": 123
}
],
"count": 123
}